CNaughtCNaught
PricingSign In

Get Climate Impact Data

Returns information about the total climate impact of the carbon credit purchases for this account (or a subaccount). This is the underlying information that is displayed on the hosted public impact page for the account / subaccount. You can optionally use the 'from' and/or 'to' query parameters to only show impact for orders in a particular time period.

GET/impact/data

Authorizations#

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.

Headers#

X-Subaccount-Id

string

If present, will only include orders for the subaccount with given id when calculating total impact.

Query Parameters#

from

string | null

Optionally specifies the start of the time period of orders to include in the impact calculation. If omitted, then orders starting from account creation are included. If present, must be a date in ISO 8601 format.

to

string | null

Optionally specifies the end of the time period of orders to include in the impact calculation. If omitted, then orders up to the present time are included. If present, must be a date in ISO 8601 format.

Response#

200

Impact Data

Get Checkout Session

Get Climate Impact Data

curl --request GET \
  --url https://api.cnaught.com/v1/impact/data \
  --header 'Authorization: Bearer <token>'
{
  "name": "Acme, Inc",
  "logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/company_logo.png",
  "total_offset_kgs": 100000,
  "equivalents": {
    "cars_off_the_road": 10,
    "trees_planted": 30,
    "homes_annual_energy usages": 4,
    "flights_lax_to_nyc": 12
  },
  "since_date": "2023-01-01T18:00:00.000000Z",
  "categories": [
    {
      "category": {
        "name": "Emissions Reductions",
        "description": "This category covers a wide range of projects that aim to reduce and avoid emissions versus business as usual."
      },
      "offset_kgs": 100000,
      "projects": [
        {
          "project": {
            "id": "tbCjWP",
            "name": "Fuzhou Hongmiaoling Landfill Gas to Electricity Project",
            "summary": "This project collects landfill gas to generate 2.5MW of electricity at a landfill in southeastern China, avoiding the emission of methane (a potent greenhouse gas) into the atmosphere and using the methane to generate power and displace dirtier coal-fired power in the electric grid.",
            "description": "This project supports collection of landfill gas and generation of 2.5MW of electricity at a landfill in Fuzhou City in Fujian Province in southeastern China. The landfill received waste from 1995 until 2008, and—like most landfills—throws off methane as some of that waste decomposes. Credits are generated from two pieces of the project: (1) avoiding the emissions of methane (a potent greenhouse gas) into the atmosphere and (2) using the power generated from the methane (natural gas) to displace dirtier coal-fired power coming from the electric grid. The project clearly required carbon revenues to achieve these two goals and therefore generates high-quality carbon offsets.",
            "developer": "Fujian Tianyi Renewable Energy Technology & Utilization Co., Ltd.",
            "location_latitude": 26.0833,
            "location_longitude": 119.3,
            "location_name": "Fujian Province, China",
            "primary_image_url": "https://assets.cnaught.com/63a4ad4c853f90fd4c455107/6410c8c65c4300d2a1f433b4_Fuzhou%20LFG.jpeg",
            "registry_id": "253",
            "registry_name": "Verra",
            "registry_url": "https://registry.verra.org/app/projectDetail/VCS/253",
            "type": "Landfill Gas",
            "un_sdg_goals": []
          },
          "offset_kgs": 100000,
          "vintages": "2023"
        }
      ]
    }
  ]
}